Summary: Perl extention for gtk
Name: gtk+-perl
%define version 0.5121
Version: %{version}
Release: 1a
Copyright: LGPL
Group: X11/Libraries
Source: ftp://www.gtk.org/pub/Gtk-Perl-%{version}.tar.gz
URL: http://www.gtk.org/
Requires: perl
Requires: gtk+ 
BuildRoot: /tmp/gtkp-root

%description
gtk+-perl allows you to write graphical interfaces using perl and gtk.

%prep
%setup -n Gtk-Perl-%{version}

rm -rf $RPM_BUILD_ROOT
perlver=`perl -V | sed -ne 's; */usr/lib/perl5/\(5\.[0-9]*\)/.*;\1;p'`
archdir=`perl -V | sed -ne 's; */usr/lib/perl5/site_perl/\(5\.[0-9]*/.*\);\1;p'`
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/auto/Gtk
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/man/man3

%build
perl Makefile.PL
make OPTIMIZE='-O2 -fsigned-char'

%install
perlver=`perl -V | sed -ne 's; */usr/lib/perl5/\(5\.[0-9]*\)/.*;\1;p'`
archdir=`perl -V | sed -ne 's; */usr/lib/perl5/site_perl/\(5\.[0-9]*/.*\);\1;p'`
make install PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/lib/perl5/man/man3
(cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/auto/Gtk;
        sed -e "s;$RPM_BUILD_ROOT;;" .packlist > .packlist.new;
        mv .packlist.new .packlist)

echo "%doc *ChangeLog NOTES README VERSIONS WARNING" > rpm-list
ls -d $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/Gtk* | \
	sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/${archdir}/auto/* | \
	sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT/usr/lib/perl5/man/man3/* | \
	sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-list

%changelog
* Mon Jul 12 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release with version 0.5121

* Sat Apr 24 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release with version 0.5120

* Sun Feb 7 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release with version 0.5000

* Fri Jul 10 1998 Jeff Carr <jcarr@linuxppc.org>
- Turned off -O2 on the ppc version
- I'm not sure about the LGPL part

